Note: Replace YOUR_ACCESS_TOKEN with a valid access token.
Learn more about Authorization
/api/wallet-existsThis endpoint checks if a wallet exists by comparing the provided wallet numbers. It is used to verify the existence of a wallet belonging to you and another user.
GEThttps://api.money-go.com/api/wallet-exists?number_to=number_to&number_from=number_fromAuthorization: Bearer YOUR_ACCESS_TOKENnumber_to Your wallet number.number_from The other user’s wallet number.
Note: Replace YOUR_ACCESS_TOKEN with a valid access token.
Learn more about Authorization
curl -X GET "https://api.money-go.com/api/wallet-exists?number_to=U1&number_from=U4" \-H "Authorization: Bearer YOUR_ACCESS_TOKEN"<?php$url = "https://api.money-go.com/api/wallet-exists?number_to=U1&number_from=U4";$options = [ 'http' => [ 'header' => "Authorization: Bearer YOUR_ACCESS_TOKEN\r\n", 'method' => 'GET' ]];$context = stream_context_create($options);$result = file_get_contents($url, false, $context);if ($result === FALSE) { die('Error occurred while checking wallet existence');}$response = json_decode($result, true);print_r($response);import fetch from 'node-fetch';
async function checkWalletExists(numberTo: string, numberFrom: string): Promise<void> {const url = `https://api.money-go.com/api/wallet-exists?number_to=${numberTo}&number_from=${numberFrom}`; try { const response = await fetch(url, { method: "GET", headers: { "Authorization": "Bearer YOUR_ACCESS_TOKEN" } }); if (!response.ok) { throw new Error(`HTTP error! Status: ${response.status}`); } const data = await response.json(); console.log("Wallet Exists:", data); } catch (error) { console.error("Error checking wallet existence:", error); }}
checkWalletExists("U1", "U4");{ "status": true, "data": { "wallet_to_id": 1, "number_to": "U1", "wallet_from_id": 4, "number_from": "U4", "currency": { "id": 1, "code": "USD", "name": "United States dollar", "rate": 0.013548, "prefix": "U" } }}| Field | Type | Description |
|---|---|---|
| status | boolean | Indicates whether the request was successful. |
| data | object | Contains details about the wallet existence check. |
| Field | Type | Description |
|---|---|---|
| wallet_to_id | number | Unique identifier for your wallet. |
| number_to | string | Your wallet number. |
| wallet_from_id | number | Unique identifier for the other user’s wallet. |
| number_from | string | The other user’s wallet number. |
| Field | Type | Description |
|---|---|---|
| id | number | Unique identifier of the currency. |
| code | string | Currency code (e.g., “USD”). |
| name | string | Name of the currency. |
| rate | number | Exchange rate for the currency. |
| prefix | string | Currency prefix (e.g., “U”). |